# Manipulator
A **Work in Progress** Survivor that can switch between three elements, Fire, Lightning and Ice.

**Currently does not support Multiplayer**

Now ported to ThunderKit! A complete rework behind the scenes from the ground up, along with some new content! Future updates will now be focused on visuals and appearance, including Animations, VFX, Sounds and Skins.

![Skill and art preview](https://i.imgur.com/4uCDmRo.png)

## Future content
- More Animations
- Custom VFX
- Custom SFX

## Credits/Thanks
- Rob: creation of [HenryMod](https://thunderstore.io/package/rob/HenryMod/), used as a template for this mod.
- KomradeSpectre: For helping with setting up Unity project and shaders.
- Bleppy: For helping with shaders.

## Known Issues
- The Alt Utility Server Achievement triggers a large error within the log. The achievement itself still functions normally and no issues should arise from this error.

## Changelog
Please look at the [Extended Changelog](https://github.com/Vale-X/Manipulator/blob/main/README.md) for additional changes not shown here. Only the most recent patch will contain the full notes.

  `0.4.1`
- __Fixed 'Force Unlock' config options.__
- __Disabled debug prints.__

  `0.4.0`
- __Ported Manipulator to [ThunderKit](https://github.com/PassivePicasso/ThunderKit).__
- __Added a temporary mastery skin (a more unique version of the skin will be added in the future).__
- __Added 2 new alt skills, Utility and Special.__
- __Added 5 Achievements.__
- __Added Lore.__
- __Added additional Config options.__
- __Updated skill descriptions.__
- __Updated lobby icon.__
- __Changes to skills:__
    - Cross (Primary)'s hitbox is now attached to the sword itself.
    - Added immunity to Chill (Ice debuff) for 4s after being frozen.
    - Increased maximum Chill (Ice debuff) stacks from 8 to 10.
	- Increased maximum Chill (Ice debuff) duration from 8 to 10.
	- Increased Lightning Cross's (Lightning Primary) lightning burst radius from 2.5 to 3.
	- Decreased Lightning Cross's (Lightning Primary) lightning burst delay from 0.5s to 0.25s.
	- Added launch delays to all Invoke (Secondary) abilities.
	- Added a small hop upon firing all Invoke (Secondary) abilities.
	- Removed freeze from Cryospire's (Ice Seoncdary) second explosion.
	- Added velocity conservation to Venting Step (Utility).
	- And many more!
- __Changes to stats:__
    - Removed Armor Per Level (oops).
- _Developer Notes: There has been so many other minor changes over such a long period of time, I was not able to track all of them. Apologies! Due to the ThunderKit port, all skills, projectiles and other gameplay related content has been re-made behind the scenes. VFX (such as Lightning's Burst effect) are currently missing, and will be reimplemented in the future._

`Previous Releases`
- Please see the [Extended Changelog](https://github.com/Vale-X/Manipulator/blob/main/README.md).